org.eclipse.emf.compare.merge

## Interface ResourceChangeAdapter.IResourceChangeParticipant

Enclosing class:
  ResourceChangeAdapter

    public static interface ResourceChangeAdapter.IResourceChangeParticipant

A participant in a Resource content change, useful to indicate whether an empty resource must actually be deleted or not, and which other resources need to be deleted/undeleted along.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acceptDelete(Resource r)` Whether the participant accepts the delete of the given resource.
`Collection<URI>` `associatedResourceURIs(Resource r)` Provide the resources to (un)delete along with the given resource.
`boolean` `interestedIn(Resource r)` Whether the participant is interested in the given resource.

### Method Detail

#### interestedIn

    boolean interestedIn(Resource r)

Whether the participant is interested in the given resource.

Parameters:
  `r` - The resource
Returns:
  `true` if the participant is interested in (relevant for) the given resource.

#### acceptDelete

    boolean acceptDelete(Resource r)

Whether the participant accepts the delete of the given resource.

Parameters:
  `r` - The resource
Returns:
  `true` if the participant is OK to delete the resource, `false` otherwise, which will block the deletion.

#### associatedResourceURIs

    Collection<URI> associatedResourceURIs(Resource r)

Provide the resources to (un)delete along with the given resource. This allows tools that want to atomically create/delete several resources at a time (for example, one sematin + one graphical resource) to deal with this atomicity.

Parameters:
  `r` - The resource to (un)delete
Returns:
  A collection of associated resources URI, must never be `null` but can be empty.